# Uses of Class
org.apache.lucene.codecs.bloom.FuzzySet

Packages that use FuzzySet
Package
Description
org.apache.lucene.codecs.bloom
Codec PostingsFormat for fast access to low-frequency terms such as primary key fields.

- ## Uses of FuzzySet in org.apache.lucene.codecs.bloom

  Methods in org.apache.lucene.codecs.bloom that return FuzzySet
  Modifier and Type
  Method
  Description
  `static FuzzySet`
  FuzzySet.`createOptimalSet(int maxNumUniqueValues, float targetMaxFpp)`
  `static FuzzySet`
  FuzzySet.`createSetBasedOnMaxMemory(int maxNumBytes)`
  `static FuzzySet`
  FuzzySet.`createSetBasedOnQuality(int maxNumUniqueValues, float desiredMaxSaturation, int version)`
  `static FuzzySet`
  FuzzySet.`deserialize(DataInput in)`
  `FuzzySet`
  BloomFilterFactory.`downsize(FieldInfo fieldInfo, FuzzySet initialSet)`
  Called when downsizing bitsets for serialization
  `FuzzySet`
  FuzzySet.`downsize(float targetMaxSaturation)`
  `abstract FuzzySet`
  BloomFilterFactory.`getSetForField(SegmentWriteState state, FieldInfo info)`
  `FuzzySet`
  DefaultBloomFilterFactory.`getSetForField(SegmentWriteState state, FieldInfo info)`
  Methods in org.apache.lucene.codecs.bloom with parameters of type FuzzySet
  Modifier and Type
  Method
  Description
  `FuzzySet`
  BloomFilterFactory.`downsize(FieldInfo fieldInfo, FuzzySet initialSet)`
  Called when downsizing bitsets for serialization
  `abstract boolean`
  BloomFilterFactory.`isSaturated(FuzzySet bloomFilter, FieldInfo fieldInfo)`
  Used to determine if the given filter has reached saturation and should be retired i.e.
  `boolean`
  DefaultBloomFilterFactory.`isSaturated(FuzzySet bloomFilter, FieldInfo fieldInfo)`